"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const buildDataContext_1 = require("./core/buildDataContext");
const NoDatabaseError_1 = require("./NoDatabaseError");
const DefaultOptions = {};
exports.DataConnector = (config) => {
    const URI = config.connection;
    const Options = Object.assign({}, DefaultOptions, config.options || {});
    const client = new mongodb_1.MongoClient(URI, Options);
    return (options = {}) => {
        const dbName = options.dbName || config.dbName;
        if (dbName === undefined || dbName === null) {
            throw new NoDatabaseError_1.NoDatabaseError();
        }
        const dataContext = buildDataContext_1.buildDataContext(client, dbName);
        return dataContext;
    };
};
Object.freeze(exports.DataConnector);
//# sourceMappingURL=DataConnector.js.map